cmdoptionflags.hh File Reference
`#include <mia/core/flags.hh>`
Include dependency graph for cmdoptionflags.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Enumerations

enum class | CCmdOptionFlags : int { none = 0 , required = 1 , input = 2 , output = 4 , required_input = 3 , required_output = 5 , validate = 8 , nonipype = 16 }

## Functions

| IMPLEMENT_FLAG_OPERATIONS (CCmdOptionFlags)
std::ostream & | operator<< (std::ostream &os, CCmdOptionFlags flags)

## Enumeration Type Documentation

## CCmdOptionFlags

enum class CCmdOptionFlags : int

strong

Enumerator
none |
required |
input |
output |
required_input |
required_output |
validate |
nonipype |

Definition at line 28 of file cmdoptionflags.hh.

## Function Documentation

## IMPLEMENT_FLAG_OPERATIONS()

IMPLEMENT_FLAG_OPERATIONS | ( | CCmdOptionFlags |  | ) |

## operator<<()

std::ostream & operator<< | ( | std::ostream & | os,
|  | CCmdOptionFlags | flags )

inline

Definition at line 42 of file cmdoptionflags.hh.

References input, none, nonipype, output, required, required_input, required_output, and validate.